Bug 998850 - Metadata of messages coming thorough bindings cannot be process by IP
Metadata of messages coming thorough bindings cannot be process by IP
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER2
: 6.0.0
Assigned To: Gary Brown
Jiri Pechanec
Depends On:
  Show dependency treegraph
Reported: 2013-08-20 04:30 EDT by Jiri Pechanec
Modified: 2014-07-02 05:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-06 10:26:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-256 Major Closed Headers not reported for switchyard events 2014-07-02 05:18:33 EDT

  None (edit)
Description Jiri Pechanec 2013-08-20 04:30:53 EDT
Certain transports can deliver messages that have associated metadata related to business transaction/conversation - e.g.
  - JMS headers - JMS correlation id
  - SOAP - WS-Addressing

These metadata can be get into SY by using context mapper that allows to store them as exchange properties. Unfortunately when admin would like to turn those metadata into RTGov properties or context (for example for conversation spanning multiple systems) it is not possible as IP will receive only message body but not exchange properties.
Comment 1 Jiri Pechanec 2013-09-17 07:58:16 EDT
Verified in ER2
Comment 5 JBoss JIRA Server 2014-07-02 05:18:34 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-256 to Closed

Note You need to log in before you can comment on or make changes to this bug.